<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;

function themeConfig($form) {
    $faviconpicUrl = new Typecho_Widget_Helper_Form_Element_Text('faviconpicUrl', NULL, NULL, _t('站点favicon'), _t('在这里填入一个图片URL地址, 用于显示favicon'));
    $form->addInput($faviconpicUrl);

    $indexpicUrl = new Typecho_Widget_Helper_Form_Element_Text('indexpicUrl', NULL, NULL, _t('首页大图'), _t('在这里填入一个图片URL地址, 用于显示首页大图<br>推荐！//api.ikmoe.com/moeu-rand-background.php'));
    $form->addInput($indexpicUrl);

    $adminpicUrl = new Typecho_Widget_Helper_Form_Element_Text('adminpicUrl', NULL, NULL, _t('博主头像'), _t('在这里填入一个图片URL地址, 用于显示博主头像'));
    $form->addInput($adminpicUrl);

    $selfdiscribition = new Typecho_Widget_Helper_Form_Element_Text('selfdiscribition', NULL, NULL, _t('自我介绍'), _t('在这里填入一段话, 用于文章末尾显示介绍，不要过长'));
    $form->addInput($selfdiscribition);

    $otherOptionsBlock = new Typecho_Widget_Helper_Form_Element_Checkbox('otherOptionsBlock',
        array(
            'showtags' => _t('文章内容最后显示标签'),
            'enablelikes' => _t('显示文章点赞，必须开启插件'),
        ),
        array(), _t('其他选项'));
    $form->addInput($otherOptionsBlock->multiMode());

$yetou = new Typecho_Widget_Helper_Form_Element_Textarea('yetou', NULL,NULL, _t('自定义页头代码'), _t('填写需要的代码，比如css样式等，代码将自动插入页头'));
$form->addInput($yetou);

$tongji = new Typecho_Widget_Helper_Form_Element_Textarea('tongji', NULL,NULL, _t('自定义页脚代码'), _t('填写需要的代码，比如统计代码等，代码将自动插入页脚'));
$form->addInput($tongji);

}

function themeInit($archive) {
    if ($archive->is('index')) {
        $archive->parameter->pageSize = 5; // 自定义首页文章分页条数
    }
}
//获取评论的锚点链接
function get_comment_at($coid)
{
    $db   = Typecho_Db::get();
    $prow = $db->fetchRow($db->select('parent')->from('table.comments')
                                 ->where('coid = ? AND status = ?', $coid, 'approved'));
    $parent = $prow['parent'];
    if ($parent != "0") {
        $arow = $db->fetchRow($db->select('author')->from('table.comments')
                                     ->where('coid = ? AND status = ?', $parent, 'approved'));
        $author = $arow['author'];
        $href   = '<span class="comment-reply-author" href="#comment-' . $parent . '">@' . $author . '</span>';
        echo $href;
    } else {
        echo '';
    }
}

//主题的样式判断
function header_class($archive)
{
	if ($archive->is('index'))
	{
		$class = '';
	}
	if ($archive->is('post'))
	{
		$class = 'post-head';
	}
	if ($archive->is('page'))
	{
		$class = 'post-head';
	}
	if ($archive->is('archive'))
	{
		$class = 'post-head';
	}
	echo $class;
}
function body_class($archive)
{
	if ($archive->is('index'))
	{
		$class = 'home';
	}
	if ($archive->is('post'))
	{
		$class = 'post-template';
	}
	if ($archive->is('page'))
	{
		$class = 'post-template';
	}
	if ($archive->is('archive'))
	{
		$class = 'archive';
	}
	echo $class;
}
