<?php
/**
 * 友链
 * 
 * @package custom 
 * 
 */
?> 
<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>

    <nav class="main-nav  clearfix">        
            <a class="menu-button icon-menu" href="#"><span class="word">Menu</span></a>
    </nav>
</header>
<style>
/* 友链样式 */
.link-area {
    font-size:0;
    margin-left:1%;
    width:102%;
    margin-bottom: 40px;
}
.link-area a {
    border: none!important;
    outline:none;  
    -moz-outline:none;
}
.link-area div {
    width:16%;
    margin:3% 1.8%;
    box-sizing: border-box;
    display: inline-block;
    border-radius: 2px;
}
.link-area img {
    width:100%;
    margin:0;
    border-radius:0!important;
    max-width: 100%;
}
.link-area p {
    width: 100%;
    margin: 0;
    text-align: center;
    line-height: 2em;
    padding: 8px 0;
    color: #5b6064;
    font-family: "Microsoft YaHei";
    text-overflow: ellipsis;
    white-space: nowrap;
    word-break: keep-all;
    overflow: hidden;
    font-size: 16px;
}
.link-area p:hover {
    color: #03A9F4;
}
.link-box {
    -webkit-mask-image: none;
    -webkit-box-shadow: 0 1px 1.5px 1px rgba(0, 0, 0, .12);
    box-shadow: 0 1px 1.5px 1px rgba(0, 0, 0, .12);
    -webkit-transition: all 300ms;
    -moz-transition: all 300ms;
    -o-transition: all 300ms;
    transition: all 300ms;
}
.link-box:hover {
    box-shadow: 0 1.375rem 2.6875rem rgba(0, 0, 0, 0.15);
    -webkit-box-shadow: 0 1.375rem 2.6875rem rgba(0, 0, 0, 0.15);
    /* -webkit-transform: translateY(-0.25rem);
    transform: translateY(-0.25rem);
    -moz-transform: none; */
}
   @media only screen and (max-width: 500px) {
.link-area div {width: 20%;}
}
</style>
<main class="content" role="main" style="margin-top: -60px;">
    <article class="post">
        <header class="post-header" style="margin-bottom: 1rem;">
            <h1 class="post-title"><?php $this->title() ?></h1>
            <section class="post-meta">
                <time class="post-date" datetime="<?php $this->date('c'); ?>"><?php $this->date('F j, Y'); ?></time>
            </section>
        </header>
        <section class="post-content">
            <?php
            $str = preg_replace('#<li><p>(.*?)</p></li>#','<li>$1</li>', $this->content);
            $str = preg_replace('#<li>(.*?)<a href="(.*?)">(.*?)</a></li>#','<a href="$2" target="_blank"><div class=link-box>$1<p>$3</p></div></a>',$str);
            $str = preg_replace('#<a href="(.*?)" target="_blank">(.*?)<img src="(.*?)" alt="(.*?)" title="(.*?)">#','<a href="$1" target="_blank" title="$5">$2<img src="$3" alt="$4" title="$5">',$str);
            $str = preg_replace('#<ul>#','<div class="link-area">', $str);
            $str = preg_replace('#</ul>#','</div>', $str);
            $str = preg_replace('#\@\((.*?)\)#','<img src="/usr/themes/catui/newpaopao/$1.png" class="biaoqing">',$str);
            echo $str;
            ?>        </section>
        <footer class="post-footer">
            <figure class="author-image">
                <a class="img" style="background-image: url(<?php $this->options->adminpicUrl() ?>)"></a>
            </figure>    
            <section class="author">
                <h4><?php $this->author(); ?></h4>
                    <p><?php $this->options->selfdiscribition() ?></p>
            </section>
<section class="share">
                <h4>Share this post</h4>
                <a class="icon-twitter" href="https://twitter.com/intent/tweet?text=<?php $this->title() ?>&amp;url=<?php $this->permalink() ?>"
                    onclick="window.open(this.href, 'twitter-share', 'width=550,height=235');return false;">
                    <span class="hidden">Twitter</span>
                </a>
                <a class="icon-facebook" href="https://www.facebook.com/sharer/sharer.php?u=<?php $this->permalink() ?>"
                    onclick="window.open(this.href, 'facebook-share','width=580,height=296');return false;">
                    <span class="hidden">Facebook</span>
                </a>
                <a class="icon-google-plus" href="https://plus.google.com/share?url=<?php $this->permalink() ?>"
                   onclick="window.open(this.href, 'google-plus-share', 'width=490,height=530');return false;">
                    <span class="hidden">Google+</span>
                </a>
</section>
        </footer>
<hr>

<?php $this->need('comments.php'); ?>
    </article>
</main>



<?php $this->need('footer.php'); ?>
