<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>

<?php
function threadedComments($comments, $options) {
    $commentClass = '';
    if ($comments->authorId) {
        if ($comments->authorId == $comments->ownerId) {
            $commentClass .= ' comment-by-author';
        } else {
            $commentClass .= ' comment-by-user';
        }
    }
    $commentLevelClass = $comments->levels > 0 ? ' comment-child' : ' comment-parent';
    $depth = $comments->levels +1;
    if ($comments->url) {
        $author = '<a href="' . $comments->url . '"target="_blank"' . ' rel="external nofollow">' . $comments->author . '</a>';
    } else {
        $author = $comments->author;
    }
?>

<li id="li-<?php $comments->theId(); ?>" class="comment even thread-even depth-<?php echo $depth ?> <?php $comments->alt(' comment-odd', 'comment-even');?>">
    
    <article id="<?php $comments->theId(); ?>" class="comment-body">
        <footer class="comment-meta">
            <div class="comment-author vcard">
<?php
//头像CDN by Rich
$host = 'https://cdn.v2ex.com'; //自定义头像CDN服务器
$url = '/gravatar/'; //自定义头像目录,一般保持默认即可
$size = '100'; //自定义头像大小
$rating = Helper::options()->commentsAvatarRating;
$hash = md5(strtolower($comments->mail));
$avatar = $host . $url . $hash . '?s=' . $size . '&r=' . $rating . '&d=';
?>
<img class="avatar" src="<?php echo $avatar ?>">
                <b class="fn <?php echo $commentClass; ?>" itemprop="author">
                <?php echo $author; ?>
                </b>
            </div>
            <!-- .comment-author -->

            <div class="comment-metadata">
                <a href="" itemprop="url">
                    <time datetime="2017-05-14T17:25:49+08:00" itemprop="datePublished"><?php $comments->date('M j, Y'); ?></time>
                </a>
            </div>
            <!-- .comment-metadata -->

        </footer>
        <!-- .comment-meta -->

        <div class="comment-content" itemprop="text">
<p>                <?php 
                get_comment_at($comments->coid);
                $cos = preg_replace('#\@\((.*?)\)#','<img src="/usr/themes/Casper-For-Typecho/newpaopao/$1.png" class="biaoqing">',$comments->content);
                $cos1 = preg_replace('#<p>#','',$cos);
                $cos2 = preg_replace('#</p>#','',$cos1);
                echo $cos2;
                ?>
</p>
        </div>
        <!-- .comment-content -->

        <div class="comment-actions" style="visibility: visible;opacity: 1;">
            <?php $comments->reply('回复'); ?>
        <!-- .comment-actions -->
    </article>
    

    <?php if ($comments->children) { ?>
        <div class="children">
            <?php $comments->threadedComments($options); ?>
        </div>
    <?php } ?>
</li>
<?php } ?>


<div id="<?php $this->respondId(); ?>" class="comment-respond">
    <?php $this->comments()->to($comments); ?>
    <?php if($this->allow('comment')): ?>

    <h3 id="reply-title" class="comment-reply-title">
        <span>发表评论</span>
        <?php $comments->cancelReply('取消回复'); ?>
    </h3>
    
    <form action="<?php $this->commentUrl() ?>" method="post" id="commentform" class="comment-form">
        <div class="author-info guest"><img src="//gravatar.com/avatar/?d=mm&s=100" width="100" class="avatar"></div>
        <div class="comment-form-main">
            <div class="comment-textarea-wrapper">
                <p class="comment-form-comment"><label for="comment">评论</label> 
                    <textarea id="comment" name="text" onclick='document.getElementById("comment-form-do").style.display="block";' cols="45" rows="8" aria-required="true" required="required" placeholder="在这里输入你的评论..."><?php $this->remember('text',false); ?></textarea>
                </p>
<div class="OwO" id="qaq">
<div class="OwO-body" id="OwO-body">
<ul id="OwO-pp" class="OwO-items OwO-items-emoticon OwO-items-show" style="max-height: 197px;">
<li class="OwO-item"onclick="Smilies.grin('@(柴犬)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/柴犬.png"></li><li class="OwO-item"onclick="Smilies.grin('@(柴犬不高兴)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/柴犬不高兴.png"></li><li class="OwO-item"onclick="Smilies.grin('@(柴犬再见)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/柴犬再见.png"></li><li class="OwO-item"onclick="Smilies.grin('@(柴犬哭)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/柴犬哭.png"></li><li class="OwO-item"onclick="Smilies.grin('@(吃瓜)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/吃瓜.png"></li><li class="OwO-item"onclick="Smilies.grin('@(吃翔)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/吃翔.png"></li><li class="OwO-item"onclick="Smilies.grin('@(嘚瑟)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/嘚瑟.png"></li><li class="OwO-item"onclick="Smilies.grin('@(呵呵)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/呵呵.png"></li><li class="OwO-item"onclick="Smilies.grin('@(哈哈)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/哈哈.png"></li><li class="OwO-item"onclick="Smilies.grin('@(吐舌)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/吐舌.png"></li><li class="OwO-item"onclick="Smilies.grin('@(太开心)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/太开心.png"></li><li class="OwO-item"onclick="Smilies.grin('@(笑眼)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/笑眼.png"></li><li class="OwO-item"onclick="Smilies.grin('@(花心)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/花心.png"></li><li class="OwO-item"onclick="Smilies.grin('@(小乖)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/小乖.png"></li><li class="OwO-item"onclick="Smilies.grin('@(乖)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/乖.png"></li><li class="OwO-item"onclick="Smilies.grin('@(捂嘴笑)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/捂嘴笑.png"></li><li class="OwO-item"onclick="Smilies.grin('@(滑稽)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/滑稽.png"></li><li class="OwO-item"onclick="Smilies.grin('@(你懂的)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/你懂的.png"></li><li class="OwO-item"onclick="Smilies.grin('@(不高兴)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/不高兴.png"></li><li class="OwO-item"onclick="Smilies.grin('@(怒)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/怒.png"></li><li class="OwO-item"onclick="Smilies.grin('@(汗)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/汗.png"></li><li class="OwO-item"onclick="Smilies.grin('@(黑线)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/黑线.png"></li><li class="OwO-item"onclick="Smilies.grin('@(泪)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/泪.png"></li><li class="OwO-item"onclick="Smilies.grin('@(真棒)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/真棒.png"></li><li class="OwO-item"onclick="Smilies.grin('@(喷)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/喷.png"></li><li class="OwO-item"onclick="Smilies.grin('@(惊哭)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/惊哭.png"></li><li class="OwO-item"onclick="Smilies.grin('@(阴险)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/阴险.png"></li><li class="OwO-item"onclick="Smilies.grin('@(鄙视)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/鄙视.png"></li><li class="OwO-item"onclick="Smilies.grin('@(酷)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/酷.png"></li><li class="OwO-item"onclick="Smilies.grin('@(啊)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/啊.png"></li><li class="OwO-item"onclick="Smilies.grin('@(狂汗)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/狂汗.png"></li><li class="OwO-item"onclick="Smilies.grin('@(what)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/what.png"></li><li class="OwO-item"onclick="Smilies.grin('@(疑问)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/疑问.png"></li><li class="OwO-item"onclick="Smilies.grin('@(酸爽)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/酸爽.png"></li><li class="OwO-item"onclick="Smilies.grin('@(呀咩爹)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/呀咩爹.png"></li><li class="OwO-item"onclick="Smilies.grin('@(委屈)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/委屈.png"></li><li class="OwO-item"onclick="Smilies.grin('@(惊讶)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/惊讶.png"></li><li class="OwO-item"onclick="Smilies.grin('@(睡觉)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/睡觉.png"></li><li class="OwO-item"onclick="Smilies.grin('@(笑尿)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/笑尿.png"></li><li class="OwO-item"onclick="Smilies.grin('@(挖鼻)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/挖鼻.png"></li><li class="OwO-item"onclick="Smilies.grin('@(吐)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/吐.png"></li><li class="OwO-item"onclick="Smilies.grin('@(犀利)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/犀利.png"></li><li class="OwO-item"onclick="Smilies.grin('@(小红脸)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/小红脸.png"></li><li class="OwO-item"onclick="Smilies.grin('@(懒得理)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/懒得理.png"></li><li class="OwO-item"onclick="Smilies.grin('@(勉强)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/勉强.png"></li><li class="OwO-item"onclick="Smilies.grin('@(爱心)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/爱心.png"></li><li class="OwO-item"onclick="Smilies.grin('@(心碎)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/心碎.png"></li><li class="OwO-item"onclick="Smilies.grin('@(玫瑰)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/玫瑰.png"></li><li class="OwO-item"onclick="Smilies.grin('@(礼物)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/礼物.png"></li><li class="OwO-item"onclick="Smilies.grin('@(彩虹)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/彩虹.png"></li><li class="OwO-item"onclick="Smilies.grin('@(太阳)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/太阳.png"></li><li class="OwO-item"onclick="Smilies.grin('@(星星月亮)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/星星月亮.png"></li><li class="OwO-item"onclick="Smilies.grin('@(钱币)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/钱币.png"></li><li class="OwO-item"onclick="Smilies.grin('@(茶杯)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/茶杯.png"></li><li class="OwO-item"onclick="Smilies.grin('@(蛋糕)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/蛋糕.png"></li><li class="OwO-item"onclick="Smilies.grin('@(大拇指)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/大拇指.png"></li><li class="OwO-item"onclick="Smilies.grin('@(胜利)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/胜利.png"></li><li class="OwO-item"onclick="Smilies.grin('@(haha)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/haha.png"></li><li class="OwO-item"onclick="Smilies.grin('@(OK)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/OK.png"></li><li class="OwO-item"onclick="Smilies.grin('@(沙发)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/沙发.png"></li><li class="OwO-item"onclick="Smilies.grin('@(手纸)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/手纸.png"></li><li class="OwO-item"onclick="Smilies.grin('@(香蕉)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/香蕉.png"></li><li class="OwO-item"onclick="Smilies.grin('@(便便)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/便便.png"></li><li class="OwO-item"onclick="Smilies.grin('@(药丸)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/药丸.png"></li><li class="OwO-item"onclick="Smilies.grin('@(红领巾)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/红领巾.png"></li><li class="OwO-item"onclick="Smilies.grin('@(蜡烛)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/蜡烛.png"></li><li class="OwO-item"onclick="Smilies.grin('@(音乐)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/音乐.png"></li><li class="OwO-item"onclick="Smilies.grin('@(灯泡)');"><img src="/usr/themes/Casper-For-Typecho/newpaopao/灯泡.png"></li></ul><ul id="OwO-ywz" class="OwO-items OwO-items-emoticon"style="max-height: 197px;"><li class="OwO-item"onclick="Smilies.grin('OωO');"title="Author: DIYgod">OωO</li><li class="OwO-item"onclick="Smilies.grin('|´・ω・)ノ');"title="Hi">|´・ω・)ノ</li><li class="OwO-item"onclick="Smilies.grin('ヾ(≧∇≦*)ゝ');"title="开心">ヾ(≧∇≦*)ゝ</li><li class="OwO-item"onclick="Smilies.grin('(☆ω☆)');"title="星星眼">(☆ω☆)</li><li class="OwO-item"onclick="Smilies.grin('（╯‵□′）╯︵┴─┴');"title="掀桌">（╯‵□′）╯︵┴─┴</li><li class="OwO-item"onclick="Smilies.grin('￣﹃￣');"title="流口水">￣﹃￣</li><li class="OwO-item"onclick="Smilies.grin('(/ω＼)');"title="捂脸">(/ω＼)</li><li class="OwO-item"onclick="Smilies.grin('∠( ᐛ 」∠)＿');"title="给跪">∠(ᐛ」∠)＿</li><li class="OwO-item"onclick="Smilies.grin('(๑•̀ㅁ•́ฅ)');"title="Hi">(๑•̀ㅁ•́ฅ)</li><li class="OwO-item"onclick="Smilies.grin('→_→');"title="斜眼">→_→</li><li class="OwO-item"onclick="Smilies.grin('୧(๑•̀⌄•́๑)૭');"title="加油">୧(๑•̀⌄•́๑)૭</li><li class="OwO-item"onclick="Smilies.grin('٩(ˊᗜˋ*)و');"title="有木有WiFi">٩(ˊᗜˋ*)و</li><li class="OwO-item"onclick="Smilies.grin('(ノ°ο°)ノ');"title="前方高能预警">(ノ°ο°)ノ</li><li class="OwO-item"onclick="Smilies.grin('(´இ皿இ｀)');"title="我从未见过如此厚颜无耻之人">(´இ皿இ｀)</li><li class="OwO-item"onclick="Smilies.grin('⌇●﹏●');"title="吓死宝宝惹">⌇●﹏●⌇</li><li class="OwO-item"onclick="Smilies.grin('(ฅ´ω`ฅ)');"title="已阅留爪">(ฅ´ω`ฅ)</li><li class="OwO-item"onclick="Smilies.grin('(╯°A°)╯︵○○○');"title="去吧大师球">(╯°A°)╯︵○○○</li><li class="OwO-item"onclick="Smilies.grin('φ(￣∇￣o)');"title="太萌惹">φ(￣∇￣o)</li><li class="OwO-item"onclick="Smilies.grin('( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃');"title="气呼呼">(งᵒ̌皿ᵒ̌)ง⁼³₌₃</li><li class="OwO-item"onclick="Smilies.grin('(ó﹏ò｡)');"title="我受到了惊吓">(ó﹏ò｡)</li><li class="OwO-item"onclick="Smilies.grin('Σ(っ °Д °;)っ');"title="什么鬼">Σ(っ°Д°;)っ</li><li class="OwO-item"onclick="Smilies.grin('╮(╯▽╰)╭ ');"title="无奈">╮(╯▽╰)╭</li><li class="OwO-item"onclick="Smilies.grin('o(*////▽////*)q ');"title="脸红">o(*<li class="OwO-item"onclick="Smilies.grin('＞﹏＜');"title="">＞﹏＜</li><li class="OwO-item"onclick="Smilies.grin('(｡•ˇ‸ˇ•｡)');"title="">(｡•ˇ‸ˇ•｡)</li></ul><div class="OwO-bar"><ul class="OwO-packages"><li id="pp"class="OwO-package-active"onclick="$('#pp').addClass('OwO-package-active');$('#ywz').removeClass('OwO-package-active');$('#OwO-pp').addClass('OwO-items-show');$('#OwO-ywz').removeClass('OwO-items-show');"style="
"><span>泡泡</span></li><li id="ywz"onclick="$('#pp').removeClass('OwO-package-active');$('#ywz').addClass('OwO-package-active');$('#OwO-pp').removeClass('OwO-items-show');$('#OwO-ywz').addClass('OwO-items-show');"class=""><span>颜文字</span></li></ul></div></div>
            <div class="OwO-logo" onclick="$('#qaq').toggleClass('OwO-open');"><span>OωO表情</span></div>
</div>
            </div>

            <?php if(!$this->user->hasLogin()): ?>
            <div class="comment-form-fields" id="comment-form-do">
                <p class="comment-form-author">
                    <label for="author">昵称</label> <span class="required">*</span>
                    
                    <input type="text" name="author" maxlength="12" id="author" placeholder="昵称" value="" required>
                    
                </p>
                <p class="comment-form-email">
                    <label for="email">邮箱</label> <span class="required">*</span>
                    
                    <input type="email" name="mail" id="mail" placeholder="邮箱" value="" <?php if ($this->options->commentsRequireMail): ?> required<?php endif; ?>>
                </p>
                <p class="comment-form-url">
                    <label for="url">网站</label> 
                    
                    <input type="url" name="url" id="url" placeholder="网站" value="" <?php if ($this->options->commentsRequireURL): ?> required<?php endif; ?>>
                    
                </p>
            </div>
            <?php endif; ?>

            <p class="form-submit">
                <button name="submit" type="submit" id="submit" class="submit" title="发表评论"><i class="fa fa-send fa-2x"></i></button> 
                <?php $security = $this->widget('Widget_Security'); ?>
                <input type="hidden" name="_" value="<?php echo $security->getToken($this->request->getReferer())?>">
            </p>
        </div>
        <div class="comment-form-extra">
            <span class="response"><?php if($this->user->hasLogin()): ?> You are <a href="<?php $this->options->profileUrl(); ?>" data-no-instant><?php $this->user->screenName(); ?></a> here, do you want to <a href="<?php $this->options->logoutUrl(); ?>" title="Logout" data-no-instant>logout</a> ?<?php endif; ?></span>
            
        </div>
    </form>
        <?php else : ?>
            <span class="response">Comments are closed.</span>
        <?php endif; ?>

        <?php if ($comments->have()): ?>
<div class="comment-separator"><div class="comment-tab-current"><span class="comment-num"><?php $this->commentsNum(_t('暂无评论'), _t('已有 1 条评论'), _t('已有 %d 条评论')); ?></span></div></div>
        <?php $comments->listComments(); ?>

        <div class="lists-navigator clearfix">
            <?php $comments->pageNav('←','→','2','...'); ?>
        </div>

        <?php endif; ?>
    
</div>

<script type="text/javascript">
    
    <?php if(!$this->user->hasLogin()){ ?>

    function getCookie(name) {
        var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
        if (arr = document.cookie.match(reg))
            return unescape(decodeURI(arr[2]));
        else
            return null;
    }

    function adduser() {
        document.getElementById('author').value = getCookie('<?php echo md5($this->request->getUrlPrefix()); ?>__typecho_remember_author');
        document.getElementById('mail').value = getCookie('<?php echo md5($this->request->getUrlPrefix()); ?>__typecho_remember_mail');
        document.getElementById('url').value = getCookie('<?php echo md5($this->request->getUrlPrefix()); ?>__typecho_remember_url');
    }
    adduser();
    <?php } ?>
</script>