<?php
/**
 * Casper 是 Ghost 博客的一款默认主题，极简风格，适合写作
 * 
 * @package Casper-For-Typecho
 * @author yufan
 * @version 0.2
 * @link https://yufanboke.top/
 */

if (!defined('__TYPECHO_ROOT_DIR__')) exit;
 $this->need('header.php');
 ?>

	<nav class="main-nav overlay clearfix">
    <!-- <a class="blog-logo" href="{{@blog.url}}"><img src="{{@blog.logo}}" alt="{{@blog.title}}" /></a>-->
    	<a class="menu-button icon-menu" href="#"><span class="word">Menu</span></a>
	</nav>
    <div class="vertical">
        <div class="main-header-content inner">
            <h1 class="page-title"<?php if($this->is('index')): ?><?php else: ?>style="font-size: 4.2rem;margin-top: 74px;"<?php endif;?>>
<?php if($this->is('index')): ?><?php $this->options->title() ?><?php else: ?>
<?php $this->archiveTitle(array(
'category'=>_t('分类 %s 下的文章'),
'search'=>_t('包含关键字 %s 的文章'),
'tag' =>_t('标签 %s 下的文章'),
'author'=>_t('%s 的主页')
), '', ''); ?><?php endif;?>
</h1>
            <h2 class="page-description"><?php if($this->is('index')): ?><?php $this->options->description() ?><?php else: ?><?php endif;?></h2>
        </div>
    </div>
    <a class="scroll-down icon-arrow-left" href="#content" data-offset="-45"><span class="hidden">Scroll Down</span></a>
</header>
<?php if($this->is('search')): ?>
<?php if ($this->have()): ?>
<?php else: ?>
<?php _e('<article style="text-align: center;margin: 20px 0;">没有找到内容</article>'); ?>
<?php endif; ?>   
<?php endif;?>
<main id="content" class="content" role="main">
	<div class="extra-pagination inner">
    <nav class="pagination" role="navigation">
    	<span class="page-number">Page <?php if($this->_currentPage>1) echo $this->_currentPage;  else echo 1;?> of <?php echo   ceil($this->getTotal() / $this->parameter->pageSize); ?></span>
    	<?php $this->pageNav('上一页', '下一页', '3' ,'...', array('itemTag' => '', 'currentClass' => 'page-number' ,'prevClass' => 'newer-posts', 'nextClass' => 'older-posts'));?>
</nav>
</div>

<?php while($this->next()): ?>
<article class="post">
	<header class="post-header">
		<h2 class="post-title"><a href="<?php $this->permalink() ?>"><?php $this->title() ?></a></h2>
    </header>
    <section class="post-excerpt">
        <p><?php $this->excerpt('250',' ');?><a class="read-more" href="<?php $this->permalink() ?>">»</a></p>
    </section>
    <footer class="post-meta">
        <img class="author-thumb" src="<?php $this->options->adminpicUrl() ?>" alt="<?php $this->author(); ?>" nopin="nopin" />
        <?php $this->author(); ?>
        分类：<?php $this->category(','); ?> 标签：<?php $this->tags(', ', true, 'none'); ?>
        <time class="post-date" datetime="<?php $this->date('c'); ?>"><?php $this->date('F j, Y'); ?></time>
    </footer>
</article>
<?php endwhile;?>

<nav class="pagination" role="navigation">
    	<?php $this->pageLink('<xt class="newer-posts"><span aria-hidden="true">←</span><span>上一页</span></xt>'); ?>
    	<span class="page-number">Page <?php if($this->_currentPage>1) echo $this->_currentPage;  else echo 1;?> of <?php echo   ceil($this->getTotal() / $this->parameter->pageSize); ?></span>
    	<?php $this->pageLink('<xt class="older-posts"><span>下一页</span><span aria-hidden="true">→</span></xt>','next'); ?>
</nav>
</main>


<?php $this->need('footer.php'); ?>
